package admin_agent

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"xingfucha-server/app/main/api/internal/logic/admin_agent"
	"xingfucha-server/app/main/api/internal/svc"
	"xingfucha-server/app/main/api/internal/types"
	"xingfucha-server/common/result"
	"xingfucha-server/pkg/lzkit/validator"
)

func AdminReviewBankCardWithdrawalHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.AdminReviewBankCardWithdrawalReq
		if err := httpx.Parse(r, &req); err != nil {
			result.ParamErrorResult(r, w, err)
			return
		}
		if err := validator.Validate(req); err != nil {
			result.ParamValidateErrorResult(r, w, err)
			return
		}
		l := admin_agent.NewAdminReviewBankCardWithdrawalLogic(r.Context(), svcCtx)
		resp, err := l.AdminReviewBankCardWithdrawal(&req)
		result.HttpResult(r, w, resp, err)
	}
}
